Package org.drinkless.tdlib

# Class TdApi.BasicGroupFullInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BasicGroupFullInfo

Enclosing class:
  `TdApi`

public static class TdApi.BasicGroupFullInfo extends TdApi.Object
Contains full information about a basic group.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.BotCommands[]`
  `botCommands`
  List of commands of bots in the group.
  `boolean`
  `canHideMembers`
  True, if non-administrators and non-bots can be hidden in responses to getSupergroupMembers and searchChatMembers for non-administrators after upgrading the basic group to a supergroup.
  `boolean`
  `canToggleAggressiveAntiSpam`
  True, if aggressive anti-spam checks can be enabled or disabled in the supergroup after upgrading the basic group to a supergroup.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `creatorUserId`
  User identifier of the creator of the group; 0 if unknown.
  `String`
  `description`
  Group description.
  `TdApi.ChatInviteLink`
  `inviteLink`
  Primary invite link for this group; may be null.
  `TdApi.ChatMember[]`
  `members`
  Group members.
  `TdApi.ChatPhoto`
  `photo`
  Chat photo; may be null if empty or unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicGroupFullInfo()`
  Contains full information about a basic group.
  `BasicGroupFullInfo(TdApi.ChatPhoto photo, String description, long creatorUserId, TdApi.ChatMember[] members, boolean canHideMembers, boolean canToggleAggressiveAntiSpam, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands)`
  Contains full information about a basic group.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### photo

    @Nullable public TdApi.ChatPhoto photo
    Chat photo; may be null if empty or unknown. If non-null, then it is the same photo as in chat.photo.

  - ### description

    public String description
    Group description. Updated only after the basic group is opened.

  - ### creatorUserId

    public long creatorUserId
    User identifier of the creator of the group; 0 if unknown.

  - ### members

    public TdApi.ChatMember[] members
    Group members.

  - ### canHideMembers

    public boolean canHideMembers
    True, if non-administrators and non-bots can be hidden in responses to getSupergroupMembers and searchChatMembers for non-administrators after upgrading the basic group to a supergroup.

  - ### canToggleAggressiveAntiSpam

    public boolean canToggleAggressiveAntiSpam
    True, if aggressive anti-spam checks can be enabled or disabled in the supergroup after upgrading the basic group to a supergroup.

  - ### inviteLink

    @Nullable public TdApi.ChatInviteLink inviteLink
    Primary invite link for this group; may be null. For chat administrators with canInviteUsers right only. Updated only after the basic group is opened.

  - ### botCommands

    public TdApi.BotCommands[] botCommands
    List of commands of bots in the group.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BasicGroupFullInfo

    public BasicGroupFullInfo()
    Contains full information about a basic group.

  - ### BasicGroupFullInfo

    public BasicGroupFullInfo(TdApi.ChatPhoto photo, String description, long creatorUserId, TdApi.ChatMember[] members, boolean canHideMembers, boolean canToggleAggressiveAntiSpam, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands)
    Contains full information about a basic group.
    Parameters:
      `photo` - Chat photo; may be null if empty or unknown. If non-null, then it is the same photo as in chat.photo.
      `description` - Group description. Updated only after the basic group is opened.
      `creatorUserId` - User identifier of the creator of the group; 0 if unknown.
      `members` - Group members.
      `canHideMembers` - True, if non-administrators and non-bots can be hidden in responses to getSupergroupMembers and searchChatMembers for non-administrators after upgrading the basic group to a supergroup.
      `canToggleAggressiveAntiSpam` - True, if aggressive anti-spam checks can be enabled or disabled in the supergroup after upgrading the basic group to a supergroup.
      `inviteLink` - Primary invite link for this group; may be null. For chat administrators with canInviteUsers right only. Updated only after the basic group is opened.
      `botCommands` - List of commands of bots in the group.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR